﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 5034B: (1 year) CAL VER IEEE /9500+4Hd
DATE:                  2010-08-18 08:25:23
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       353
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds5034b_1yr_ver_ieee_9500_4hd.txt,v $
#    $Date: 2010/08/18 15:16:49 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#@
#@ Models covered:
#@       TDS 5034B
#@
#@ Source(s):
#@       TDS5000 Series Digital Phosphor Oscilloscopes
#@       Service Manual, PN 071-1004-02
#@
#@       TDS5000B Series Digital Phosphor Oscilloscopes
#@       Specification and Performance Verification Manual, PN 071-1420-01
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub UUT Connection GPIB
#        Sub Tek TDS5000B Set Bandwidth & Num_Chan
#        Sub Tek TDS5000B Setup IEEE
#        Sub Tek TDS5000B Self-Test IEEE
#        Sub Tek TDS5000B Sig Path Comp Cal IEEE
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#        Sub Tek TDS5000B Adjust Trig Level IEEE
#        Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /9500
#        Sub Tek TDS5000B (1 yr) Bandwidth IEEE /9500
#        Sub Tek TDS5000B (1 yr) Channel Delay IEEE /9500
#        Sub Tek TDS5000B (1 yr) Channels Iso IEEE /9500
#        Sub Tek TDS5000B (1 yr) Sample Rate IEEE /9500
#        Sub Tek TDS5000B (1 yr) Delta Time IEEE /9500
#        Sub Tek TDS5000B (1 yr) Trig Sens IEEE /9500
#        Sub Tek TDS5000B (1 yr) Trig Time Acc IEEE /9500
#        Sub Tek TDS5000B (1 yr) Signal Out IEEE /9500
#        Sub Tek TDS5000B (1 yr) Probe Comp IEEE /9500
#        Sub Tek TDS5000B (1 yr) Chan Delay IEEE /9500+4Hd
#        Sub Datron 9500 Configuration Query IEEE
#
# Required Files:
#        None
#
#@ Additional Equipment Required:
#@       2 Way Power Splitter
#@       Attenuator 2X
#@       BNC T(f-m-f) adapter
#@       Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#@       SMA T(f-m-f) adapter
#@       Cable, 50 Ohm, SMA(m)-(m)
#@       3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#@       2 sets SMA Short
#@       Probe 1X or 10X, such as Tektronix P5050, P6243, or P6245
#@
# The procedure was tested using:
#        Model No  : TDS 5034B
#        Serial No : B010007
#        Options   :
#        Firmware  : CF:91.1CT FV:2.0.9
#
# Average run time during testing :  40 min (include optional test)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  MATH         @ReqMetCalVersion = "7.20x"
  1.014  CALL         Sub MET/CAL Version Check

  1.015  IF           NOT(@MetCalVersionOK)
  1.016  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.016  DISP         later.
  1.017  END
  1.018  ENDIF

  1.019  CALL         Sub Display Copyright
  1.020  CALL         Sub High Voltage Safety Warning
  1.021  CALL         Sub Select Failed Test Mode
  1.022  CALL         Sub Select Verification Method

  1.023  DISP         Ensure a minimum UUT warm-up time of at least
  1.023  DISP         20 minutes has been allowed to elapse, prior
  1.023  DISP         to beginning verification.

  1.024  HEAD         PRELIMINARY INSTRUCTIONS
  1.025  TARGET
  1.026  CALL         Sub Tek TDS5000B Setup IEEE
  1.027  IEEE2        *RST

  1.028  HEAD         UUT IDENTIFICATION
  1.029  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.030  MATH         @UUT_Manufacturer = "TEKTRONIX"; @UUT_Model = "TDS5034B"
  1.031  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.032  IF           @Abort
  1.033  END
  1.034  ENDIF

  1.035  CALL         Sub Datron 9500 Configuration Query IEEE

# If 9500 Active Heads are all the same type, use Dual Channel Leveled-Sine
# for channel delay tests.
  1.036  MATH         L[1] = ZCMPI(@HeadTypeCh1, @HeadTypeCh2)
  1.037  MATH         L[1] = ZCMPI(@HeadTypeCh1, @HeadTypeCh3) && L[1]
  1.038  MATH         L[1] = ZCMPI(@HeadTypeCh1, @HeadTypeCh4) && L[1]
  1.039  MATH         UseDualChanLS = L[1]

  1.040  HEAD         EQUIPMENT REQUIREMENTS

  1.041  IF           UseDualChanLS
  1.042  DISP         The following additional equipment and/or
  1.042  DISP         accessories are required:
  1.042  DISP
  1.042  DISP         - BNC T(f-m-f) adapter
  1.042  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.042  DISP         - SMA T(f-m-f) adapter
  1.042  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.042  DISP         - 3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.042  DISP         - 2 sets SMA Short
  1.042  DISP         - Probe 1X or 10X, such as Tek P5050, P6243, or P6245
  1.043  ELSE
  1.044  DISP         The following additional equipment and/or
  1.044  DISP         accessories are required:
  1.044  DISP
  1.044  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.044  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.044  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.044  DISP         - BNC T(f-m-f) adapter
  1.044  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.044  DISP         - SMA T(f-m-f) adapter
  1.044  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.044  DISP         - 3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.044  DISP         - 2 sets SMA Short
  1.044  DISP         - Probe 1X or 10X, such as Tek P5050, P6243, or P6245
  1.045  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    8.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    9.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   10.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   11.   CHANNEL DELAY                      CHANNEL ISOLATION(CH1 IN)
#   12.   CHANNEL ISOLATION(CH1 IN)          CHANNEL ISOLATION(CH2 IN)
#   13.   CHANNEL ISOLATION(CH2 IN)          CHANNEL ISOLATION(CH3 IN)
#   14.   CHANNEL ISOLATION(CH3 IN)          CHANNEL ISOLATION(CH4 IN)
#   15.   CHANNEL ISOLATION(CH4 IN)          SAMPLE RATE AND DELAY TIME ACC
#   16.   SAMPLE RATE AND DELAY TIME ACC     TIME ACC OF PULSE WIDTH TRIG(CH1)
#   17.   DELTA TIME MEASUREMENT ACC(CH1)    CHANNEL DELAY
#   18.   DELTA TIME MEASUREMENT ACC(CH2)    EDGE-TRIGGER SENSITIVITY(CH1)
#   19.   DELTA TIME MEASUREMENT ACC(CH3)    DELTA TIME MEASUREMENT ACC(CH1)
#   20.   DELTA TIME MEASUREMENT ACC(CH4)    DELTA TIME MEASUREMENT ACC(CH2)
#   21.   TIME ACC OF PULSE WIDTH TRIG(CH1)  DELTA TIME MEASUREMENT ACC(CH3)
#   22.   EDGE-TRIGGER SENSITIVITY(CH1)      DELTA TIME MEASUREMENT ACC(CH4)
#   23.   SIGNAL OUT AND AUX TRIGGER OUT     SIGNAL OUT AND AUX TRIGGER OUT
#   24.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.046  CALL         Sub Tek TDS5000B Set Bandwidth & Num_Chan
  1.047  CALL         Sub Tek TDS5000B Self-Test IEEE
  1.048  JMPL         END                          @Abort

  1.049  MATH         @SPCTime = 400
  1.050  CALL         Sub Tek TDS5000B Sig Path Comp Cal IEEE
  1.051  JMPL         END                          @Abort

  1.052  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.053  DISP         Connect the 9500 to the UUT as follows:
  1.053  DISP         [32] CH 1 Active Head to UUT CH 1
  1.053  DISP         [32] CH 2 Active Head to UUT CH 2
  1.053  DISP         [32] CH 3 Active Head to UUT CH 3
  1.053  DISP         [32] CH 4 Active Head to UUT CH 4

  1.054  MATH         @Chan = 1
  1.055  M9500                       CH1
  1.056  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /9500

  1.057  MATH         @Chan = 2
  1.058  M9500                       CH2
  1.059  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /9500

  1.060  MATH         @Chan = 3
  1.061  M9500                       CH3
  1.062  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /9500

  1.063  MATH         @Chan = 4
  1.064  M9500                       CH4
  1.065  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /9500

  1.066  MATH         @Chan = 1
  1.067  M9500                       CH1
  1.068  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /9500

  1.069  MATH         @Chan = 2
  1.070  M9500                       CH2
  1.071  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /9500

  1.072  MATH         @Chan = 3
  1.073  M9500                       CH3
  1.074  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /9500

  1.075  MATH         @Chan = 4
  1.076  M9500                       CH4
  1.077  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /9500
  1.078  JMPL         CHANNELS_ISOLATION_CH1

  1.079  LABEL        CHANNEL_DELAY
  1.080  MATH         @Chan = 1

  1.081  IF           UseDualChanLS
  1.082  CALL         Sub Tek TDS5000B (1 yr) Chan Delay IEEE /9500+4Hd
  1.083  ELSE
  1.084  M9500                       CH1
  1.085  CALL         Sub Tek TDS5000B (1 yr) Channel Delay IEEE /9500
  1.086  ENDIF

  1.087  JMPL         TRIG_SENS_CH1

  1.088  LABEL        CHANNELS_ISOLATION_CH1
  1.089  MATH         @Chan = 1
  1.090  M9500                       CH1
  1.091  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /9500

  1.092  MATH         @Chan = 2
  1.093  M9500                       CH2
  1.094  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /9500

  1.095  MATH         @Chan = 3
  1.096  M9500                       CH3
  1.097  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /9500

  1.098  MATH         @Chan = 4
  1.099  M9500                       CH4
  1.100  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /9500

  1.101  MATH         @Chan = 1
  1.102  M9500                       CH1
  1.103  CALL         Sub Tek TDS5000B (1 yr) Sample Rate IEEE /9500
  1.104  JMPL         TRIG_CH1

  1.105  LABEL        DELTA_TIME_CH1
  1.106  MATH         @Chan = 1
  1.107  M9500                       CH1
  1.108  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /9500

  1.109  MATH         @Chan = 2
  1.110  M9500                       CH1
  1.111  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /9500

  1.112  MATH         @Chan = 3
  1.113  M9500                       CH1
  1.114  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /9500

  1.115  MATH         @Chan = 4
  1.116  M9500                       CH1
  1.117  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /9500
  1.118  JMPL         SIGNAL_OUT

  1.119  LABEL        TRIG_CH1
  1.120  MATH         @Chan = 1
  1.121  M9500                       CH1
  1.122  CALL         Sub Tek TDS5000B (1 yr) Trig Time Acc IEEE /9500
  1.123  JMPL         CHANNEL_DELAY

  1.124  LABEL        TRIG_SENS_CH1
  1.125  M9500                       CH1
  1.126  CALL         Sub Tek TDS5000B (1 yr) Trig Sens IEEE /9500
  1.127  JMPL         DELTA_TIME_CH1

  1.128  LABEL        SIGNAL_OUT
# The following signal out test is attached only with channel 3 input
  1.129  MATH         @Chan = 3
  1.130  M9500                       CH1
  1.131  CALL         Sub Tek TDS5000B (1 yr) Signal Out IEEE /9500

  1.132  MATH         @Chan = 1
  1.133  M9500                       CH1
  1.134  CALL         Sub Tek TDS5000B (1 yr) Probe Comp IEEE /9500

  1.135  LABEL        END
  1.136  IEEE2        *RST
  1.137  RSLT         =

  1.138  IF           @Abort
  1.139  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.140  ELSE
  1.141  HEAD         {V E R I F I C A T I O N   C O M P L E T E !}
  1.142  ENDIF

  1.143  END
